{% extends "base.html" %}
{% block title %}INA226{% endblock %}
{% block content %}

<h2>INA226 report</h2>

<table class="table table-striped">
  <thead>
    <tr>
      <th scope="col">Name</th>
      <th scope="col">Voltage (V)</th>
      <th scope="col">V range (V)</th>
      <th scope="col">V status</th>
      <th scope="col">I (A)</th>
      <th scope="col">Max I (A)</th>
      <th scope="col">I status</th>
      <th scope="col">P [W]</th>
    </tr>
  </thead>
  <tbody>

  	{% for label, device in data.items() | sort %}
    <tr>
        <th scope="row">{{ label }}</th>
        <td>{{ "{:.3f}".format(device["V"]) }}</td>
        <td>{{ "[{:.3f}, {:.3f}]".format(device["V_min"], device["V_max"]) }}</td>
        <td>{{ device["V_status"] }}</td>
        <td>{{ "{:.3f}".format(device["I"]) }}</td>
        <td>{{ "{:.3f}".format(device["I_max"]) }}</td>
        <td>{{ device["I_status"] }}</td>
        <td>{{ "{:.3f}".format(device["P"]) }}</td>
    </tr>
    {% endfor %}

  </tbody>
</table>

{% endblock %}